Subject: Re: [PATCH 1/5] Introduces for_each_revision() helper

From: "Luiz Fernando N. Capitulino" <[email-masked]>
Date: Fri, 27 Apr 2007 18:13:26 -0300

Em Fri, 27 Apr 2007 12:32:11 -0700
Junio C Hamano <[email-masked]> escreveu:

| "Luiz Fernando N. Capitulino" <[email-masked]>
| writes:
| 
| > From: Luiz Fernando N. Capitulino <[email-masked]>
| >
| > This macro may be used to iterate over revisions, so, instead of
| > doing: ...
| 
| I am not a big fan of magic control-flow macros, as it makes the
| code harder to grok for people new to the codebase.

 Yeah, I agree. But I think that any experienced programmer will
understand it.

 Anyways, I don't want to raise polemic discussions for minor
changes. Feel free to drop this one then.

-- 
Luiz Fernando N. Capitulino